Bug 1020660 - Return "404 error" when accessing jbossews-2.0/1.0 app after auto deploying with hot_deploy marker enable
Return "404 error" when accessing jbossews-2.0/1.0 app after auto deploying w...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Andy Goldstein
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 02:11 EDT by Lei Zhang
Modified: 2015-05-14 19:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:25:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lei Zhang 2013-10-18 02:11:30 EDT
Description of problem:
Given one jbossews-2.0 app created(e.g.,myjbossews20), add hot_deploy marker, and then git push, accessing app via curl, Return "404 error", and when accessing the app via browser, blank page shows

[rayzhang@ray Work]$ curl -I http://myjbossews20-chunchen.dev.rhcloud.com/
HTTP/1.0 404 Not Found
Date: Fri, 18 Oct 2013 04:29:52 GMT
Server: Apache-Coyote/1.1
Vary: Accept-Encoding,User-Agent
ProxyTime: D=2256
Content-Type: text/plain; charset=UTF-8
X-Cache: MISS from file01.intranet.prod.int.rdu2.redhat.com
X-Cache-Lookup: MISS from file01.intranet.prod.int.rdu2.redhat.com:8080
Via: 1.0 file01.intranet.prod.int.rdu2.redhat.com (squid/3.1.10)
Connection: keep-alive


Version-Release number of selected component (if applicable):
devenv_3912

How reproducible:
always

Steps to Reproduce:
1.create one jbossews-2.0 app
#rhc app create myjbossews20 jbossews-2.0
2.enable hot_deploy marker and git push
#touch .openshift/markers/hot_deploy &&git add -A&&git commit -amp&&git push
3.

Actual results:
Return "404 error" when accessing jbossews-2.0 after deploying with hot_deploy marker enable

Expected results:
Jbossews-2.0 app can be accessed after deploying with hot-deploy marker enable

Additional info:
Comment 1 openshift-github-bot 2013-10-23 00:21:47 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/3b28d30599f3f6205542dc06da6c53b26eca802b
Various deploy fixes

Certain containers (e.g. Tomcat) cache the path to the deployment
directory, and we want to replace the current deployment directory with
a new one when we activate a new deployment.

Replace app-root/runtime/{repo, dependencies, build-dependencies}
symlinks with actual directories. Sync content from the deployment
directory into these directories on activation.

Modify create_dependency_directories to create the directories in
app-root/runtime instead of in the deployment directory.

No need to create cartridge dependency directories any more when
creating a new deployment directory.

Recreate the cartridge dependency directories when building with
force_clean_build enabled.

Clean dependencies if preparing a binary deployment.

Don't use FileUtils.cd when creating the by-id link.

Specify --first-time when calling gear prereceive and gear postreceive
when doing an initial build so the pre_ and post_receive methods in the
container are invoked even though there's no commit data from STDIN.

Bug 1020660 - fix jbossews hot deploy
Bug 1021399 - fix nodejs 0.10 hot deploy
Bug 1021411 - fix nodejs 0.6 hot deploy
Bug 1021414 - fix nodejs 0.6/0.10 force clean build
Bug 1019723 - rhc deploy should activate all gears
Bug 1018387 - Drupal quickstart should no longer be broken
Bug 1021798 - fix Python 3.3 with Jenkins
Bug 1018654 - fix Jenkins hot deploy
Comment 2 Lei Zhang 2013-10-23 23:27:59 EDT
Verified on devenv_3937, the home page of jbossews app can be accessed after auto deploying with hot_deploy marker.


[rayzhang@ray myjbossews20s]$ curl -I http://myjbossews20s-chunchen.dev.rhcloud.com/
HTTP/1.0 200 OK
Date: Thu, 24 Oct 2013 03:27:21 GMT
Server: Apache-Coyote/1.1
Accept-Ranges: bytes
ETag: W/"5814-1382585178000"
Last-Modified: Thu, 24 Oct 2013 03:26:18 GMT
Content-Type: text/html; charset=UTF-8
Content-Length: 5814
Cache-Control: private
Set-Cookie: GEAR=local-52688c8bfa7bab2be700029c; path=/
Vary: Accept-Encoding,User-Agent
ProxyTime: D=2341
X-Cache: MISS from file01.intranet.prod.int.rdu2.redhat.com
X-Cache-Lookup: MISS from file01.intranet.prod.int.rdu2.redhat.com:8080
Via: 1.0 file01.intranet.prod.int.rdu2.redhat.com (squid/3.1.10)
Connection: keep-alive

Note You need to log in before you can comment on or make changes to this bug.